package page

import (
	"net/http"

	"git.paulbsd.com/paulbsd/qrz/src/templates"
	"github.com/labstack/echo/v4"
)

// Index returns main webpage
func (p *Page) Index(c echo.Context) (err error) {
	return c.Render(http.StatusOK, "index.html", p)
}

// Page defines Web page
type Page struct {
	Title     string
	Templates *templates.Template
}
